Subject: bug#10624: Dired-marking all files in the region

From: "Drew Adams" <[email-masked]>
Date: Fri, 23 Nov 2012 09:12:06 -0800

> > IOW, why change the behavior for Dired generally (i.e., 
> > including outside WDired mode), for a problem that you
> > found only inside WDired?
> 
> This problem is not WDired specific.

I have not seen a description of "this" problem, other than a description of a
problem for WDired.  Can you characterize "this problem" for Dired generally?

This is the only description I've seen, and it seems quite WDired-specific:

>> when the region is active before typing `C-c C-c'
>> in WDired it marks renamed files with the same marker,
   ^^^^^^^^^
>> because currently WDired uses `dired-add-entry'
           ^^^^^^^^^^^^^^^^
>> that calls `dired-mark'.

How is "this problem" manifested for Dired, other than for WDired?

And I don't understand this:

> It is better to opt-in this functionality by setting the
> `interactive' arg than to opt-out it in specific packages
> because this feature makes sense only for interactive use in Dired.

What is the argument as to why this makes sense only for interactive use in
Dired?  Or that it makes sense always for interactive use in Dired?

Sorry, but this is not yet clear to me.  Seems like maybe some steps are missing
from your argument.  They are no doubt obvious to you, but not yet to me.  Could
you please fill in the blanks a bit?  Again, excuse me for not grasping this
quickly.